"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useUserAgent = exports.SSRBrowserProvider = exports.ssrBrowserContext = exports.UserAgentProvider = exports.userAgentContext = void 0;
const react_1 = require("react");
const ua_parser_js_1 = __importDefault(require("ua-parser-js"));
exports.userAgentContext = (0, react_1.createContext)(undefined);
exports.UserAgentProvider = exports.userAgentContext.Provider;
exports.ssrBrowserContext = (0, react_1.createContext)(undefined);
exports.SSRBrowserProvider = exports.ssrBrowserContext.Provider;
/**
 * hook that returns the user-agent via context
 */
function useUserAgent() {
    const browser = (0, react_1.useContext)(exports.ssrBrowserContext);
    if (!browser) {
        return new ua_parser_js_1.default(window.navigator.userAgent);
    }
    const agent = new ua_parser_js_1.default(browser.headers['user-agent']);
    return agent;
}
exports.useUserAgent = useUserAgent;
//# sourceMappingURL=use-user-agent.js.map